## Get Call Counter Metrics for a Project

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### GET /v3.0/projects/{projectId}/callcounter

#### Try it

Get Call Counter Metrics for a Project

#### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v3.0/projects/{projectId}/callcounter \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v3.0/projects/{projectId}/callcounter"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v3.0/projects/{projectId}/callcounter', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();
curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v3.0/projects/{projectId}/callcounter",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v3.0/projects/{projectId}/callcounter"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Response Codes

- **200**: Successfully retrieved
- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

#### Example Response

```json
{
  "items": [
    {
      "day": 123,
      "month": 123,
      "year": 123,
      "maxConcurrency": 123,
      "callMinutes": 123,
      "processedCalls": 123,
      "billableCalls": 123
    }
  ]
}
```

### Authorizations

#### X-API-Key
- **Type**: String
- **Location**: Header
- **Required**: Yes
- **Description**: Supply the API Key in the HTTP-Header

### Headers

#### Accept
- **Type**: Enum<String>
- **Description**: Specifies media type client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. Default is `application/json`.

### Path Parameters

- **projectId**
  - **Type**: String
  - **Required**: Yes
  - **Description**: Unique identifier for the Project. Must have string length of `24`. Pattern: `^[a-z0-9]{24}$`

### Query Parameters

- **year**
  - **Type**: Number
  - **Required**: Yes

- **month**
  - **Type**: Number

### Response Structure

- **200**
  - **Content-Type**: application/json
  - **Description**: The call counter stats for the given time-frame.
